Get Clients
curl --request GET \
--url https://sandbox.axle.insure/platform/clients \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.axle.insure/platform/clients"
headers = {
"x-client-id": "<x-client-id>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-client-secret': '<api-key>'}
};
fetch('https://sandbox.axle.insure/platform/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
"<string>"
]
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "Invalid credentials"
}{
"message": "Too Many Requests"
}Platform
Get Clients
Get a list of destination clients associated with your platform client. This request will return a list of destination client ids that you can use to make requests to the Axle API on behalf of your destination clients.
See the Axle for Platforms guide for more information on how to use this endpoint and the destination client id.
GET
/
platform
/
clients
Get Clients
Authorizations
Your secret API key. This will be shared with you during onboarding and should be considered sensitive - it’s a password after all! Your secret will be matched with your client ID to authenticate your requests.
Headers
Your client ID. This will be shared with you during onboarding.
Query Parameters
Set to true if you would like to expand related entities (e.g., account, policy, client). Defaults to false.
Available options:
true, false Was this page helpful?